<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.activity.cleanjunk.ScanJunkActivity">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_top"
        android:layout_width="match_parent"
        android:layout_height="300dp"
        android:background="@mipmap/lan_bg"
        app:layout_constraintTop_toTopOf="parent">

        <LinearLayout
            android:id="@+id/ll"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="40dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <FrameLayout
                android:id="@+id/fl_fanhui"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="15dp">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:src="@mipmap/b_fanhui"
                    tools:ignore="ContentDescription,MissingPrefix" />

            </FrameLayout>


            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:text="Clean Junk"
                android:textColor="@color/white"
                android:textSize="19sp"
                android:textStyle="bold"
                tools:ignore="HardcodedText" />

        </LinearLayout>

        <TextView
            android:id="@+id/tv_size"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:text="0"
            android:textColor="@color/white"
            android:textSize="54sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/ll"
            app:layout_constraintVertical_bias="0.3"
            tools:ignore="HardcodedText" />

        <TextView
            android:id="@+id/tv_unit"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:textColor="@color/white"
            android:textSize="14sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_size" />


        <ProgressBar
            android:id="@+id/progress_bar"
            style="@style/Widget.AppCompat.ProgressBar.Horizontal"
            android:layout_width="match_parent"
            android:layout_height="16dp"
            android:indeterminate="true"
            android:indeterminateTint="@color/white"
            android:indeterminateTintMode="src_atop"
            app:layout_constraintBottom_toTopOf="@id/tv_path" />

        <TextView
            android:id="@+id/tv_path"
            android:layout_width="match_parent"
            android:layout_height="35dp"
            android:background="#1A000000"
            android:ellipsize="middle"
            android:gravity="center_vertical"
            android:paddingHorizontal="15dp"
            android:singleLine="true"
            android:textColor="@color/white"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="parent"
            tools:ignore="RtlSymmetry"
            tools:layout_editor_absoluteX="0dp"
            tools:text="Scan in progress:/storage/emulated/0/qitu/download" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@id/tv_btn"
        app:layout_constraintTop_toBottomOf="@id/cl_top">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />

        <pokercc.android.expandablerecyclerview.ExpandableRecyclerView
            android:id="@+id/rv_ex"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:visibility="gone"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />
    </FrameLayout>

    <TextView
        android:id="@+id/tv_btn"
        android:layout_width="338dp"
        android:layout_height="50dp"
        android:layout_marginBottom="30dp"
        android:background="@drawable/bg_clean_btn"
        android:enabled="false"
        android:gravity="center"
        android:text="Scan in progress"
        android:textColor="#AEAEB0"
        android:textSize="18sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        tools:ignore="HardcodedText" />

</androidx.constraintlayout.widget.ConstraintLayout>